%global momorel 1

Summary: The GNOME Shell redefines user interactions with the GNOME desktop
Name: gnome-shell
Version: 2.28.0
Release: %{momorel}m%{?dist}
Group: User Interface/Desktops
License: GPL
URL: http://live.gnome.org/GnomeShell
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.28/%{name}-%{version}.tar.bz2
NoSource: 0
Source1: ja.po
Patch0: gnome-shell-2.27.1-ja.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: pkgconfig
BuildPrereq: intltool

BuildPrereq: gstreamer-devel
BuildPrereq: glib2-devel
BuildPrereq: gtk2-devel
BuildPrereq: dbus-glib-devel
BuildPrereq: mutter-devel >= 2.28.0
BuildPrereq: gjs-devel
BuildPrereq: gnome-menus-devel
BuildPrereq: GConf2-devel
BuildPrereq: clutter-devel
BuildPrereq: gnome-desktop-devel
BuildPrereq: startup-notification-devel
BuildPrereq: gobject-introspection-devel
BuildPrereq: librsvg2-devel
BuildPrereq: gobject-introspection-devel

%description
The GNOME Shell redefines user interactions with the GNOME desktop. In
particular, it offers new paradigms for launching applications,
accessing documents, and organizing open windows in GNOME. Later, it
will introduce a new applets eco-system and offer new solutions for
other desktop features, such as notifications and contacts
management. The GNOME Shell is intended to replace functions handled
by the GNOME Panel and by the window manager in previous versions of
GNOME. The GNOME Shell has rich visual effects enabled by new
graphical technologies.

%prep
%setup -q
%patch0 -p1 -b .ja
cp %{SOURCE1} po

%build
%configure --disable-schemas-install
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/gnome-shell.schemas \
  > /dev/null || :

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/gnome-shell.schemas \
    > /dev/null || :
fi

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/gnome-shell.schemas \
    > /dev/null || :
fi

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_sysconfdir}/gconf/schemas/gnome-shell.schemas
%{_bindir}/gnome-shell

%dir %{_libdir}/gnome-shell
%{_libdir}/gnome-shell/Big-1.0.typelib
%{_libdir}/gnome-shell/Shell-0.1.typelib
%{_libdir}/gnome-shell/St-1.0.typelib
%{_libdir}/mutter/plugins/libgnome-shell.la
%{_libdir}/mutter/plugins/libgnome-shell.so

%{_datadir}/applications/gnome-shell.desktop
%{_datadir}/gnome-shell

%{_datadir}/locale/*/*/*

%changelog
* Sun Nov 22 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.0-1m)
- from trunk

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.28.0-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Thu Oct  8 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.0-1m)
- update to 2.28.0

* Wed Sep 16 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.27.3-1m)
- update to 2.27.3

* Sun Sep  6 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.27.2-1m)
- update to 2.27.2

* Thu Sep  3 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.27.1-3m)
- add ja translate

* Wed Sep  2 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.27.1-2m)
- to main

* Sun Aug 30 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.27.1-1m)
- initial build
